function [outputArg] = plot_driver_braking(panel, pltData, tr)
    % create tiledlayout (R2023a and newer)
    tl = tiledlayout(panel,"vertical");
    
    % plot 1: speed
    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Speed [km/h]")
    plot(ax1,pltData.xAxis(tr,:),pltData.speed_kph(tr,:))
    % plot 2: accelerator pedal position [%]
    ax2 = nexttile(tl);
    hold(ax2, "on")
    grid(ax2, "on")
    title(ax2, "APP [%]")
    plot(ax2,pltData.xAxis(tr,:),pltData.app_percent(tr,:))
    % plot 3: brake pressure front [bar]
    ax3 = nexttile(tl);
    hold(ax3, "on")
    grid(ax3, "on")
    title(ax3, "Brake Pressure Front [bar]")
    plot(ax3,pltData.xAxis(tr,:),pltData.brakePFront_bar(tr,:))
    % plot 4: longitudinal acceleration [g]
    ax4 = nexttile(tl);
    hold(ax4, "on")
    grid(ax4, "on")
    title(ax4, "Long Acc [g]")
    plot(ax4,pltData.xAxis(tr,:),pltData.acc_long_g(tr,:))
    % link all x axes
    linkaxes([ax1, ax2, ax3, ax4],"x")

    % return null (not relevant for plots!)
    outputArg = [];
end

